package org.testinfinispan;

import java.util.List;

import org.apache.log4j.Logger;
import org.hibernate.Query;
import org.hibernate.Session;

import org.testinfinispan.util.HibernateUtil;

public class Test {
	private static Session session;
	

	static final Logger logger=Logger.getLogger(Test.class);

	public void testCache(String evict){
		try{
			
			Employee emp;
			HibernateUtil.getCacheNames();
			
//			HibernateUtil.addListener("org.testinfinispan.Employee");
//			HibernateUtil.getCacheNames();
//			//Creating a new employee
//			session=HibernateUtil.getSession();
//			session.beginTransaction();	
//			emp=new Employee();
//			emp.setEmpName("testing");
//			session.save(emp);
//			session.getTransaction().commit();
//			session.close();
			
			logger.info("Opening session");
			session=HibernateUtil.getSession();
			session.beginTransaction();	
			session.get(Employee.class, 1);
			session.getTransaction().commit();
			session.close();

			if (evict.equals("evict")){
				session=HibernateUtil.getSession();
				session.beginTransaction();	
				HibernateUtil.getCacheNames();
				HibernateUtil.clearLevel2Cache();
				
				emp=(Employee) session.get(Employee.class, 1);
				emp.setEmpName(emp.getEmpName() + "1");
				session.update(emp);
				
				if(session.isOpen()){
					session.getTransaction().commit();
					session.close();
				}
			}
			/*HibernateUtil.shutdown();
			HibernateUtil.newSession();*/
			
			session=HibernateUtil.getSession();
			session.beginTransaction();	
			emp = (Employee)session.get(Employee.class, 1);
			System.out.println("Object: " + emp + " "+ emp.getEmpCode() + emp.getEmpName());
			session.close();
			
			logger.info("session closed");

		}catch (Throwable e) {
			e.printStackTrace();
		}finally{
			if(session==null) return;
			if(session.isOpen())
				session.close();
		}
		
	}

}
