
package org.testinfinispan.util;

import java.util.Properties;

import org.hibernate.cache.infinispan.InfinispanRegionFactory;
import org.hibernate.cfg.Settings;
import org.infinispan.transaction.lookup.TransactionManagerLookup;

public class TestInfinispanRegionFactory extends InfinispanRegionFactory {
    private static final long serialVersionUID = -6687377364766314791L;

    // @see com.redprairie.moca.cache.infinispan.InfinispanRegionFactory#createTransactionManagerLookup(org.hibernate.cfg.Settings, java.util.Properties)
    @Override
    protected TransactionManagerLookup createTransactionManagerLookup(
        Settings settings, Properties properties) {
    	return new TestTransactionManagerLookup();
    }

}
